## gfarm 2.3.1

=== gftool/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

GFVOMS_SYNC_TARGETS = gfvoms-sync

include $(top_srcdir)/makes/var.mk
PRIVATE_TARGETS = $(PRIVATE_GFTOOL_SUBDIRS)
PUBLIC_TARGETS =

SUBDIRS = \
	gfchmod \
	gfchown \
	gfdf \
	gfdump \
	gfexport \
	gffindxmlattr \
	gfgroup \
	gfhost \
	gfkey \
	gfln \
	gfls \
	gfmkdir \
	gfmv \
	gfquota \
	gfreg \
	gfrep \
	gfrm \
	gfrmdir \
	gfstat \
	gfstatus \
	gfuser \
	gfusage \
	$(gfvoms_sync_targets) \
	gfwhere \
	gfwhoami \
	gfxattr \
	config-gfarm \
	$(optional_targets)

#	gfexec \
#	gfifo \
#	gfpwd \
#	gfrcmd \
#	gfsched \
#	gfsck \
#	gfsetdir \
#	gfmpirun \
#	gfps \
#	gfq \
#	gfrun \
#	gftest \
#	example \

include $(top_srcdir)/makes/subdir.mk

=== man/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

#SUBDIRS = man1 man3 man5 man8 ja
SUBDIRS = man1 man5 man8 ja

include $(top_srcdir)/makes/subdir.mk

=== regress/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

LOG=			log

CHECK_ENV=	LANG=C PATH=$(prefix)/bin:$$PATH

# subdirectories which have to be built
SUBDIRS=	\
	lib/libgfarm/gfarm/gfarm_error_range_alloc \
	lib/libgfarm/gfarm/gfarm_error_to_errno

check test: all
	@echo ""
	@$(CHECK_ENV) $(srcdir)/regress.sh
	@echo ""

loop: all
	@./loop.sh

all: config

config:
	test -f Makefile || \
	( \
	echo "regress=$(srcdir)"; \
	echo ". $(srcdir)/regress.conf"; \
	) > regress.conf

distclean:
	-$(RM) -f $(LOG)
	-test -f Makefile || $(RM) -f regress.conf

include $(top_srcdir)/makes/subdir.mk

=== gftool/gfsched/Makefile ===
# $Id: Makefile 3617 2007-03-12 08:32:55Z n-soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfsched.c
OBJS = gfsched.o
PROGRAM = gfsched
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== man/ja/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

#SUBDIRS = man1 man3 man5 man8
SUBDIRS = man1 man5 man8

include $(top_srcdir)/makes/subdir.mk

=== server/gfmd/Makefile ===
# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
include $(srcdir)/../Makefile.inc

CFLAGS = $(pthread_includes) \
	$(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
	$(metadb_client_includes) $(optional_cflags) \
	-DGFMD_CONFIG='"$(sysconfdir)/gfmd.conf"'
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) \
	$(LIBS) $(pthread_libs)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = gfmd

LDAP_SRCS = db_ldap.c
LDAP_OBJS = db_ldap.lo
POSTGRESQL_SRCS = db_pgsql.c
POSTGRESQL_OBJS = db_pgsql.lo

PRIVATE_RULE = $(PRIVATE_SERVER_GFMD_RULE)
PRIVATE_SRCS = $(PRIVATE_SERVER_GFMD_SRCS)
PRIVATE_FILES = $(PRIVATE_SERVER_GFMD_FILES)
PRIVATE_OBJS = $(PRIVATE_SERVER_GFMD_OBJS)
PUBLIC_RULE  = /dev/null
PUBLIC_SRCS  =
PUBLIC_OBJS  =

SRCS =	gfmd.c thrsubr.c thrpool.c \
	subr.c user.c group.c host.c peer.c \
	process.c job.c \
	dir.c inode.c fs.c back_channel.c \
	db_access.c db_common.c db_none.c quota.c xattr.c \
	$(ldap_srcs) $(postgresql_srcs) $(optional_srcs)
OBJS =	gfmd.o thrsubr.o thrpool.o \
	subr.o user.o group.o host.o peer.o \
	process.o job.o \
	dir.o inode.o fs.o back_channel.o \
	db_access.o db_common.o db_none.o quota.o xattr.o \
	$(ldap_objs) $(postgresql_objs) $(optional_objs)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/gflog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/gfutil.h \
	$(GFUTIL_SRCDIR)/hash.h \
	$(GFUTIL_SRCDIR)/tree.h \
	$(GFARMLIB_SRCDIR)/gfp_xdr.h \
	$(GFARMLIB_SRCDIR)/io_fd.h \
	$(GFARMLIB_SRCDIR)/sockopt.h \
	$(GFARMLIB_SRCDIR)/auth.h \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/gfm_proto.h \
	$(GFARMLIB_SRCDIR)/gfj_client.h \
	$(GFARMLIB_SRCDIR)/timespec.h \
	thrsubr.h thrpool.h subr.h \
	user.h group.h host.h peer.h process.h job.h \
	dir.h inode.h fs.h back_channel.h protocol_state.h quota.h xattr.h

include $(optional_rule)

=== lib/libgfarm/gfarm/Makefile ===
# $Id: Makefile 4578 2010-03-26 15:16:12Z tatebe $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
PRIVATE_RULE = $(PRIVATE_LIB_LIBGFARM_GFARM_RULE)
PRIVATE_SRCS = $(PRIVATE_LIB_LIBGFARM_GFARM_SRCS)
PRIVATE_FILES = $(PRIVATE_LIB_LIBGFARM_GFARM_FILES)
PRIVATE_OBJS = $(PRIVATE_LIB_LIBGFARM_GFARM_OBJS)
PUBLIC_RULE  = /dev/null
PUBLIC_SRCS  =
PUBLIC_OBJS  =

LIBRARY = libgfarmcore.la
LIBRARY_RESULT = # do not install

GLOBUS_SRCS = auth_client_gsi.c auth_common_gsi.c \
	auth_server_gsi.c auth_server_uid_gsi.c io_gfsl.c
GLOBUS_OBJS = auth_client_gsi.lo auth_common_gsi.lo \
	auth_server_gsi.lo auth_server_uid_gsi.lo io_gfsl.lo
GLOBUS_CFLAGS = -I$(GFSL_SRCDIR) $(globus_includes)

SRCS = \
	liberror.c \
	hostspec.c \
	host.c \
	param.c \
	sockopt.c \
	auth_config.c \
	stringlist.c \
	config.c \
	config_server.c \
	config_client.c \
	import_help.c \
	iobuffer.c \
	gfp_xdr.c \
	gfs_proto.c \
	io_fd.c \
	metadb_common.c \
	auth_common.c \
	auth_client.c \
	auth_server.c \
	auth_server_uid.c \
	conn_hash.c \
	conn_cache.c \
	gfm_client.c \
	gfs_client.c \
	lookup.c \
	gfs_io.c \
	gfs_dir.c \
	gfs_dirplus.c \
	gfs_dircache.c \
	gfs_pio.c \
	gfs_pio_section.c \
	gfs_pio_local.c gfs_pio_remote.c \
	gfs_profile.c \
	gfs_chmod.c \
	gfs_chown.c \
	gfs_link.c \
	gfs_stat.c \
	gfs_statfs.c \
	gfs_statfsnode.c \
	gfs_statsw.c \
	gfs_mkdir.c \
	gfs_quota.c \
	gfs_readlink.c \
	gfs_remove.c \
	gfs_rename.c \
	gfs_replica.c \
	gfs_replicate.c \
	gfs_rmdir.c \
	gfs_symlink.c \
	gfs_unlink.c \
	gfs_util.c \
	gfs_utimes.c \
	gfs_xattr.c \
	gfarm_foreach.c \
	glob.c \
	schedule.c \
	sockutil.c \
	timespec.c \
	url.c \
	$(globus_srcs) \
	$(optional_srcs)

#	gfs_pio_global.c \
#	gfs_pio_misc.c \
#	gfs_exec.c \

#	$(ldap_srcs) $(postgresql_srcs) $(globus_srcs)

OBJS = \
	liberror.lo \
	hostspec.lo \
	host.lo \
	param.lo \
	sockopt.lo \
	auth_config.lo \
	stringlist.lo \
	config.lo \
	config_server.lo \
	config_client.lo \
	import_help.lo \
	iobuffer.lo \
	gfp_xdr.lo \
	gfs_proto.lo \
	io_fd.lo \
	metadb_common.lo \
	auth_common.lo \
	auth_client.lo \
	auth_server.lo \
	auth_server_uid.lo \
	conn_hash.lo \
	conn_cache.lo \
	gfm_client.lo \
	gfs_client.lo \
	lookup.lo \
	gfs_io.lo \
	gfs_dir.lo \
	gfs_dirplus.lo \
	gfs_dircache.lo \
	gfs_pio.lo \
	gfs_pio_section.lo \
	gfs_pio_local.lo gfs_pio_remote.lo \
	gfs_profile.lo \
	gfs_chmod.lo \
	gfs_chown.lo \
	gfs_link.lo \
	gfs_stat.lo \
	gfs_statfs.lo \
	gfs_statfsnode.lo \
	gfs_statsw.lo \
	gfs_mkdir.lo \
	gfs_quota.lo \
	gfs_readlink.lo \
	gfs_remove.lo \
	gfs_rename.lo \
	gfs_replica.lo \
	gfs_replicate.lo \
	gfs_rmdir.lo \
	gfs_symlink.lo \
	gfs_unlink.lo \
	gfs_util.lo \
	gfs_utimes.lo \
	gfs_xattr.lo \
	gfarm_foreach.lo \
	glob.lo \
	schedule.lo \
	sockutil.lo \
	timespec.lo \
	url.lo \
	$(globus_objs) \
	$(optional_objs)

#	gfs_pio_global.lo \
#	gfs_pio_misc.lo \
#	gfs_exec.lo \

#	$(ldap_srcs) $(postgresql_srcs) $(globus_srcs)

CFLAGS = $(pthread_includes) \
	$(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
	$(globus_cflags) $(metadb_client_includes) $(openssl_includes) \
	$(optional_cflags) \
	-DGFARM_CONFIG='"$(sysconfdir)/gfarm2.conf"'

all: $(LIBRARY)

include $(top_srcdir)/makes/lib.mk
include $(top_srcdir)/makes/gflog.mk

$(OBJS): $(DEPGFARMINC)
$(GLOBUS_OBJS): $(DEPGFSLINC)
auth_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h auth.h
auth_client_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h io_fd.h io_gfsl.h auth.h auth_gsi.h
auth_common.lo: liberror.h auth.h
auth_common_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $ $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h gfpath.h auth.h auth_gsi.h
auth_config.lo: hostspec.h auth.h
auth_server.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h hostspec.h auth.h gfp_xdr.h gfs_proto.h
auth_server_gsi.lo: $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h $(GFUTIL_SRCDIR)/gfutil.h io_fd.h io_gfsl.h auth.h auth_gsi.h
auth_server_uid.lo: $(GFUTIL_SRCDIR)/gfutil.h auth.h gfm_client.h
auth_server_uid_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h auth.h gfm_client.h
config.lo: $(GFUTIL_SRCDIR)/gfutil.h gfpath.h hostspec.h host.h param.h sockopt.h auth.h config.h gfm_proto.h gfs_proto.h gfs_client.h gfs_pio.h $(GFUTIL_SRCDIR)/timer.h $(top_builddir)/makes/config.mk # $(GFARM_CONFIG) -> $(sysconfdir)
conn_hash.lo: $(GFUTIL_SRCDIR)/hash.h conn_hash.h
error.lo: $(GFUTIL_SRCDIR)/hash.h
conn_cache.lo: $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h conn_hash.h conn_cache.h
gfm_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/gfnetdb.h $(GFUTIL_SRCDIR)/lru_cache.h gfp_xdr.h io_fd.h sockopt.h sockutil.h host.h auth.h config.h conn_cache.h gfm_proto.h gfj_client.h xattr_info.h gfm_client.h
gfs_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h liberror.h sockutil.h iobuffer.h gfp_xdr.h io_fd.h host.h param.h sockopt.h auth.h config.h conn_cache.h gfs_proto.h gfs_client.h
gfs_dir.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h gfs_profile.h gfm_client.h config.h lookup.h gfs_io.h gfs_dir.h
gfs_dirplus.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h gfs_io.h
gfs_dircache.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h config.h gfs_dir.h gfs_dircache.h
gfs_exec.lo: gfs_pio.h
gfs_io.lo: gfs_io.h
gfs_link.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
gfs_pio.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h liberror.h gfs_proto.h gfm_client.h gfs_proto.h gfs_io.h gfs_pio.h config.h
gfs_pio_global.lo: gfs_proto.h gfs_pio.h
gfs_pio_local.lo: gfs_proto.h gfs_pio.h
gfs_pio_misc.lo: gfs_proto.h gfs_misc.h
gfs_pio_remote.lo: host.h config.h gfs_proto.h gfs_client.h gfs_pio.h
gfs_pio_section.lo: gfs_pio.h host.h config.h schedule.h gfs_client.h gfs_proto.h $(GFUTIL_SRCDIR)/timer.h
gfs_proto.lo: gfs_proto.h
gfs_quota.lo: config.h quota_info.h
gfs_readlink.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
gfs_replica.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h host.h config.h lookup.h
gfs_replicate.lo: config.h host.h gfm_client.h gfs_client.h schedule.h gfs_misc.h
gfs_stat.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h gfs_profile.h gfm_client.h config.h lookup.h gfs_misc.h
gfs_statsw.lo: gfs_dircache.h
gfs_symlink.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
gfs_unlink.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h gfs_profile.h
gfs_utimes.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h lookup.h 
gfs_xattr.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h gfm_client.h lookup.h gfs_io.h gfs_misc.h config.h gfs_profile.h xattr_info.h
gfarm_foreach.lo: gfarm_foreach.h
glob.lo:
host.lo: hostspec.h gfm_client.h host.h
hostspec.lo: hostspec.h
import_help.lo: liberror.h
io_fd.lo: iobuffer.h io_fd.h
io_gfsl.lo: $(GFSL_SRCDIR)/gfarm_secure_session.h iobuffer.h io_fd.h io_gfsl.h
iobuffer.lo: iobuffer.h
lookup.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h lookup.h
metadb_common.lo: metadb_common.h xattr_info.h quota_info.h
param.lo: hostspec.h param.h
schedule.lo: $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h host.h auth.h config.h gfs_client.h gfs_profile.h
sockutil.lo: $(GFUTIL_SRCDIR)/gfnetdb.h sockutil.h
sockopt.lo: hostspec.h param.h sockopt.h
stringlist.lo:
timespec.lo: timespec.h
url.lo: config.h gfs_pio.h

include $(optional_rule)

=== doc/html/en/ref/Makefile ===
top_builddir = ../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

#SUBDIRS = man1 man3 man5 man8
SUBDIRS = man1 man5 man8

htmldir=$(default_htmldir)/en/ref
HTML = index.html

include $(top_srcdir)/makes/subdir.mk
include $(top_srcdir)/makes/html.mk

=== doc/html/ja/ref/Makefile ===
top_builddir = ../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

#SUBDIRS = man1 man3 man5 man8
SUBDIRS = man1 man5 man8

htmldir=$(default_htmldir)/ja/ref
HTML = index.html

include $(top_srcdir)/makes/subdir.mk
include $(top_srcdir)/makes/html.mk

=== debian/changelog ===
gfarm (2.3.1-1) unstable; urgency=low

  * debian/control (Description, Suggests): Description improvement
    adding Suggests.  Thanks to Justin B Rye <jbr@edlug.org.uk>
    (Closes: #573516).
  * New upstream release.
  * debian/rules: Support manpages_en/_ja.
  * debian/libgfarm-dev.manpages_ja: New file.
  * debian/libgfarm-dev.manpages_en: Renamed (was: no _en).
  * debian/{gfmd.manpages_ja,gfsd.manpages_ja}: New files.
  * debian/{gfmd.manpages_en,gfsd.manpages_en}: Renamed (was: no _en).
  * debian/{gfarm-client.manpages_en,gfarm-client.manpages_ja}: Updated.
  * debian/{gfarm-doc.docs,gfarm-client.install,gfmd.install}: Updated.
  * debian/control (Package): New package libgfarm1 to match soname.
  * debian/patches/07_MAXHOSTNAMELEN.patch: New file to workaround on Hurd.
  * debian/README.source: Removed.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Jun 2010 11:55:28 +0900

gfarm (2.3.0-5) unstable; urgency=low

  * debian/patches/06_host_os_nickname.patch: Updated.
  * debian/watch: Fix to exclude snapshot tar balls.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 11 May 2010 09:49:00 +0900

gfarm (2.3.0-4) unstable; urgency=low

  * debian/patches/{04_MAXPATHLEN.patch,05_PATH_MAX.patch,
    06_host_os_nickname.patch}: New files.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 10 May 2010 14:11:22 +0900

gfarm (2.3.0-3) unstable; urgency=low

  * debian/gfarm-client.manpages_ja: New file.
  * debian/rules: Invoke dh_installman with --language=ja.
  * debian/rules: Kill the bash-ism.
  * debian/rules: Don't use libtoolize but just copy ltmain.sh.
  * debian/patches/{00_libraries,01_noneed_yacc_lex,02_dont_go_doc,
    03_libtool_clean_does_not_work_well}.patch: Divided up.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 18 Mar 2010 09:16:05 +0900

gfarm (2.3.0-2) unstable; urgency=low

  * debian/patches/00_libraries.patch: Name it.
  * debian/rules: Build with _GNU_SOURCE for FTBFS on gfevent.c.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 17 Mar 2010 21:19:06 +0900

gfarm (2.3.0-1) unstable; urgency=low

  * Initial release (Closes: #568981).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 16 Feb 2010 15:30:53 +0900

## gfarm 2.3.2

=== gftool/Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	gfrep \
 	gfrm \
 	gfrmdir \
+	gfsched \
 	gfstat \
 	gfstatus \
 	gfuser \
@@ -42,7 +43,6 @@
 #	gfifo \
 #	gfpwd \
 #	gfrcmd \
-#	gfsched \
 #	gfsck \
 #	gfsetdir \
 #	gfmpirun \

=== regress/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 # subdirectories which have to be built
 SUBDIRS=	\
 	lib/libgfarm/gfarm/gfarm_error_range_alloc \
-	lib/libgfarm/gfarm/gfarm_error_to_errno
+	lib/libgfarm/gfarm/gfarm_error_to_errno \
+	lib/libgfarm/gfarm/gfs_pio_test
 
 check test: all
 	@echo ""

=== gftool/gfexport/Makefile ===
# $Id: Makefile 4602 2010-03-29 16:38:45Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfexport.c
OBJS = gfexport.o
PROGRAM = gfexport
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfs_profile.h $(GFARMLIB_SRCDIR)/host.h $(GFARMLIB_SRCDIR)/config.h $(GFARMLIB_SRCDIR)/gfs_pio.h

=== gftool/gffindxmlattr/Makefile ===
# $Id: Makefile 1265 2004-08-17 01:47:35Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gffindxmlattr
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== gftool/gfls/Makefile ===
# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfls
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/timespec.h

=== gftool/gfreg/Makefile ===
# $Id: Makefile 4602 2010-03-29 16:38:45Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfreg_simple.c
OBJS = gfreg_simple.o
PROGRAM = gfreg
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	$(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC) $(GFUTIL_SRCDIR)/timer.h $(GFARMLIB_SRCDIR)/gfs_profile.h $(GFARMLIB_SRCDIR)/host.h $(GFARMLIB_SRCDIR)/config.h

=== gftool/gfsched/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 3617 2007-03-12 08:32:55Z n-soda $
+# $Id: Makefile 4802 2010-06-28 06:13:32Z tatebe $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -19,4 +19,7 @@
 
 ###
 
-$(OBJS): $(DEPGFARMINC)
+$(OBJS): $(DEPGFARMINC) \
+	$(GFARMLIB_SRCDIR)/gfm_client.h \
+	$(GFARMLIB_SRCDIR)/gfm_schedule.h \
+	$(GFARMLIB_SRCDIR)/schedule.h

=== gftool/gfxattr/Makefile ===
# $Id: Makefile 1265 2004-08-17 01:47:35Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfxattr
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== lib/libgfarm/Makefile ===
# $Id: Makefile 4585 2010-03-26 17:47:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

# shared object version
LTLDFLAGS = $(LTFLAGS_SHARELIB_IN) $(libdir)
LT_CURRENT=1
LT_REVISION=0
LT_AGE=0

LIBRARY = libgfarm.la
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(globus_gssapi_libs) $(openssl_libs) $(LIBS)

GLOBUS_TARGETS = gfsl
SUBDIRS = gfutil $(globus_targets) gfarm 

GLOBUS_OBJS = gfsl/libgfsl.la
OBJS =	gfutil/libgfutil.la $(globus_objs) gfarm/libgfarmcore.la

all: subdir-all $(LIBRARY)

$(OBJS): subdir-all

include $(top_srcdir)/makes/subdir.mk
include $(top_srcdir)/makes/lib.mk

clean:
	$(RM) -f hook_test hook_test_mpi

=== server/gfmd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $
+# $Id: Makefile 4761 2010-06-21 17:16:30Z tatebe $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -11,8 +11,7 @@
 	$(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
 	$(metadb_client_includes) $(optional_cflags) \
 	-DGFMD_CONFIG='"$(sysconfdir)/gfmd.conf"'
-LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) \
-	$(LIBS) $(pthread_libs)
+LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) $(LIBS)
 DEPLIBS = $(DEPGFARMLIB)
 
 PROGRAM = gfmd

=== lib/libgfarm/gfarm/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4578 2010-03-26 15:16:12Z tatebe $
+# $Id: Makefile 4801 2010-06-28 06:04:40Z tatebe $
 
 top_builddir = ../../..
 top_srcdir = $(top_builddir)
@@ -46,6 +46,7 @@
 	conn_hash.c \
 	conn_cache.c \
 	gfm_client.c \
+	gfm_schedule.c \
 	gfs_client.c \
 	lookup.c \
 	gfs_io.c \
@@ -115,6 +116,7 @@
 	conn_hash.lo \
 	conn_cache.lo \
 	gfm_client.lo \
+	gfm_schedule.lo \
 	gfs_client.lo \
 	lookup.lo \
 	gfs_io.lo \
@@ -187,6 +189,7 @@
 error.lo: $(GFUTIL_SRCDIR)/hash.h
 conn_cache.lo: $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h conn_hash.h conn_cache.h
 gfm_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/gfnetdb.h $(GFUTIL_SRCDIR)/lru_cache.h gfp_xdr.h io_fd.h sockopt.h sockutil.h host.h auth.h config.h conn_cache.h gfm_proto.h gfj_client.h xattr_info.h gfm_client.h
+gfm_schedule.lo: gfm_client.h gfm_schedule.h lookup.h
 gfs_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h liberror.h sockutil.h iobuffer.h gfp_xdr.h io_fd.h host.h param.h sockopt.h auth.h config.h conn_cache.h gfs_proto.h gfs_client.h
 gfs_dir.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h gfs_profile.h gfm_client.h config.h lookup.h gfs_io.h gfs_dir.h
 gfs_dirplus.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h gfs_io.h
@@ -222,7 +225,7 @@
 lookup.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h lookup.h
 metadb_common.lo: metadb_common.h xattr_info.h quota_info.h
 param.lo: hostspec.h param.h
-schedule.lo: $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h host.h auth.h config.h gfs_client.h gfs_profile.h
+schedule.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/timer.h liberror.h conn_hash.h host.h config.h gfm_proto.h gfm_client.h gfs_client.h schedule.h lookup.h gfs_profile.h
 sockutil.lo: $(GFUTIL_SRCDIR)/gfnetdb.h sockutil.h
 sockopt.lo: hostspec.h param.h sockopt.h
 stringlist.lo:

=== lib/libgfarm/gfutil/Makefile ===
# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

LIBRARY = libgfutil.la
LIBRARY_RESULT = # do not install

SRCS =	alloc.c \
	daemon.c \
	gfevent.c \
	gfnetdb.c \
	hash.c \
	hash_strptr.c \
	id_table.c \
	limit.c \
	logutil.c \
	lru_cache.c \
	send_no_sigpipe.c \
	timer.c \
	timeval.c
OBJS =	alloc.lo \
	daemon.lo \
	gfevent.lo \
	gfnetdb.lo \
	hash.lo \
	hash_strptr.lo \
	id_table.lo \
	limit.lo \
	logutil.lo \
	lru_cache.lo \
	send_no_sigpipe.lo \
	timer.lo \
	timeval.lo

CFLAGS = $(pthread_includes) $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR)

all: $(LIBRARY)

include $(top_srcdir)/makes/lib.mk
include $(top_srcdir)/makes/gflog.mk

###

$(OBJS): $(DEPGFARMINC)
daemon.lo: gfutil.h
gfevent.lo: $(INC_SRCDIR)/gfarm_misc.h gfutil.h gfevent.h
gfnetdb.lo: gfnetdb.h
id_table.lo: id_table.h
hash.lo: gfutil.h hash.h
hash_strptr.lo: hash.h
limit.lo: gfutil.h
logutil.lo: gfutil.h
lru_cache.lo: lru_cache.h
timer.lo: timer.h
timeval.lo: gfutil.h

=== debian/changelog ===
gfarm (2.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #581101).
  * debian/patches/00_libraries.patch: Refreshed.
  * debian/patches/07_MAXHOSTNAMELEN.patch: Refreshed.
  * debian/patches/05_PATH_MAX.patch: Refreshed.
  * debian/gfarm-client.install (gfsched): Added.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 02 Jul 2010 10:00:53 +0900

=== debian/control ===
Source: gfarm
Section: net
Priority: extra
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, libssl-dev, libldap2-dev, libpq-dev, postgresql, autoconf (>= 2.50), libtool
Standards-Version: 3.8.4
Uploaders: Osamu Tatebe <tatebe@cs.tsukuba.ac.jp>, Noriyuki SODA <soda@sra.co.jp>
DM-Upload-Allowed: yes
Homepage: http://datafarm.apgrid.org/

Package: gfarm-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Gfarm file system documentation
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides documentation for Gfarm.

Package: libgfarm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gfarm file system runtime library
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the shared library required for accessing
 files via Gfarm.

Package: libgfarm-dev
Section: libdevel
Architecture: any
Depends: libgfarm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgfarm-dev
Description: Gfarm file system development files
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the static library, header files, and man
 pages required for Gfarm development.

Package: gfmd
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gfarm-doc, postgresql, slapd
Description: Gfarm file system metadata server
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm metadata server, which equips a
 host to function as a server node managing file system metadata.

Package: gfsd
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gfarm-doc
Description: Gfarm file system daemon
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm file system daemon, which equips a
 host to function as a storage node for the network.

Package: gfarm-client
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gfarm-doc
Description: Gfarm file system clients
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides client utilities for Gfarm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh --with quilt  $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f configure
	rm -rf aclocal.m4 makes/ltmain.sh

override_dh_auto_configure:
	cp -p /usr/share/libtool/config/ltmain.sh makes/ltmain.sh
	(cd /usr/share/aclocal && \
	 cat libtool.m4 ltoptions.m4 ltversion.m4 ltsugar.m4 lt~obsolete.m4) \
	 > aclocal.m4
	autoconf
	dh_auto_configure -- CFLAGS='-O2 -g -D_GNU_SOURCE'

override_dh_installman:
	dh_installman --package=gfarm-client $(shell cat debian/gfarm-client.manpages_en)
	dh_installman --package=gfarm-client \
          --language=ja $(shell cat debian/gfarm-client.manpages_ja)
	dh_installman --package=gfmd $(shell cat debian/gfmd.manpages_en)
	dh_installman --package=gfmd \
          --language=ja $(shell cat debian/gfmd.manpages_ja)
	dh_installman --package=gfsd $(shell cat debian/gfsd.manpages_en)
	dh_installman --package=gfsd \
          --language=ja $(shell cat debian/gfsd.manpages_ja)
	dh_installman --package=libgfarm-dev $(shell cat debian/libgfarm-dev.manpages_en)
	dh_installman --package=libgfarm-dev \
          --language=ja $(shell cat debian/libgfarm-dev.manpages_ja)
	dh_installman --remaining-packages

## gfarm 2.4.0

=== regress/Makefile ===
--- 
+++ 
@@ -12,7 +12,9 @@
 SUBDIRS=	\
 	lib/libgfarm/gfarm/gfarm_error_range_alloc \
 	lib/libgfarm/gfarm/gfarm_error_to_errno \
-	lib/libgfarm/gfarm/gfs_pio_test
+	lib/libgfarm/gfarm/gfs_pio_test \
+	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/file_busy \
+	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/in_progress
 
 check test: all
 	@echo ""

=== server/gfmd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4761 2010-06-21 17:16:30Z tatebe $
+# $Id: Makefile 4758 2010-06-21 04:59:06Z n-soda $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -29,14 +29,14 @@
 PUBLIC_SRCS  =
 PUBLIC_OBJS  =
 
-SRCS =	gfmd.c thrsubr.c thrpool.c \
-	subr.c user.c group.c host.c peer.c \
+SRCS =	gfmd.c thrpool.c callout.c \
+	subr.c user.c group.c host.c peer.c dead_file_copy.c \
 	process.c job.c \
 	dir.c inode.c fs.c back_channel.c \
 	db_access.c db_common.c db_none.c quota.c xattr.c \
 	$(ldap_srcs) $(postgresql_srcs) $(optional_srcs)
-OBJS =	gfmd.o thrsubr.o thrpool.o \
-	subr.o user.o group.o host.o peer.o \
+OBJS =	gfmd.o thrpool.o callout.o \
+	subr.o user.o group.o host.o peer.o dead_file_copy.o \
 	process.o job.o \
 	dir.o inode.o fs.o back_channel.o \
 	db_access.o db_common.o db_none.o quota.o xattr.o \
@@ -52,7 +52,9 @@
 $(OBJS): $(DEPGFARMINC) \
 	$(GFUTIL_SRCDIR)/gfutil.h \
 	$(GFUTIL_SRCDIR)/hash.h \
+	$(GFUTIL_SRCDIR)/id_table.h \
 	$(GFUTIL_SRCDIR)/tree.h \
+	$(GFUTIL_SRCDIR)/thrsubr.h \
 	$(GFARMLIB_SRCDIR)/gfp_xdr.h \
 	$(GFARMLIB_SRCDIR)/io_fd.h \
 	$(GFARMLIB_SRCDIR)/sockopt.h \
@@ -61,8 +63,8 @@
 	$(GFARMLIB_SRCDIR)/gfm_proto.h \
 	$(GFARMLIB_SRCDIR)/gfj_client.h \
 	$(GFARMLIB_SRCDIR)/timespec.h \
-	thrsubr.h thrpool.h subr.h \
-	user.h group.h host.h peer.h process.h job.h \
+	thrpool.h subr.h callout.h \
+	user.h group.h host.h peer.h dead_file_copy.h process.h job.h \
 	dir.h inode.h fs.h back_channel.h protocol_state.h quota.h xattr.h
 
 include $(optional_rule)

=== lib/libgfarm/gfarm/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4801 2010-06-28 06:04:40Z tatebe $
+# $Id: Makefile 4784 2010-06-25 07:24:27Z n-soda $
 
 top_builddir = ../../..
 top_srcdir = $(top_builddir)
@@ -36,6 +36,7 @@
 	import_help.c \
 	iobuffer.c \
 	gfp_xdr.c \
+	gfp_xdr_server.c \
 	gfs_proto.c \
 	io_fd.c \
 	metadb_common.c \
@@ -46,8 +47,8 @@
 	conn_hash.c \
 	conn_cache.c \
 	gfm_client.c \
+	gfs_client.c \
 	gfm_schedule.c \
-	gfs_client.c \
 	lookup.c \
 	gfs_io.c \
 	gfs_dir.c \
@@ -70,6 +71,7 @@
 	gfs_remove.c \
 	gfs_rename.c \
 	gfs_replica.c \
+	gfs_replica_info.c \
 	gfs_replicate.c \
 	gfs_rmdir.c \
 	gfs_symlink.c \
@@ -106,6 +108,7 @@
 	import_help.lo \
 	iobuffer.lo \
 	gfp_xdr.lo \
+	gfp_xdr_server.lo \
 	gfs_proto.lo \
 	io_fd.lo \
 	metadb_common.lo \
@@ -116,8 +119,8 @@
 	conn_hash.lo \
 	conn_cache.lo \
 	gfm_client.lo \
+	gfs_client.lo \
 	gfm_schedule.lo \
-	gfs_client.lo \
 	lookup.lo \
 	gfs_io.lo \
 	gfs_dir.lo \
@@ -140,6 +143,7 @@
 	gfs_remove.lo \
 	gfs_rename.lo \
 	gfs_replica.lo \
+	gfs_replica_info.lo \
 	gfs_replicate.lo \
 	gfs_rmdir.lo \
 	gfs_symlink.lo \
@@ -177,7 +181,7 @@
 $(GLOBUS_OBJS): $(DEPGFSLINC)
 auth_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h auth.h
 auth_client_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h io_fd.h io_gfsl.h auth.h auth_gsi.h
-auth_common.lo: liberror.h auth.h
+auth_common.lo: auth.h
 auth_common_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $ $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h gfpath.h auth.h auth_gsi.h
 auth_config.lo: hostspec.h auth.h
 auth_server.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h hostspec.h auth.h gfp_xdr.h gfs_proto.h
@@ -189,7 +193,9 @@
 error.lo: $(GFUTIL_SRCDIR)/hash.h
 conn_cache.lo: $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h conn_hash.h conn_cache.h
 gfm_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/gfnetdb.h $(GFUTIL_SRCDIR)/lru_cache.h gfp_xdr.h io_fd.h sockopt.h sockutil.h host.h auth.h config.h conn_cache.h gfm_proto.h gfj_client.h xattr_info.h gfm_client.h
-gfm_schedule.lo: gfm_client.h gfm_schedule.h lookup.h
+gfm_schedule.lo: gfm_client.h gfm_schedule.h
+gfp_xdr.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h iobuffer.h gfp_xdr.h
+gfp_xdr_server.lo: $(GFUTIL_SRCDIR)/id_table.h gfp_xdr.h
 gfs_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h liberror.h sockutil.h iobuffer.h gfp_xdr.h io_fd.h host.h param.h sockopt.h auth.h config.h conn_cache.h gfs_proto.h gfs_client.h
 gfs_dir.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h gfs_profile.h gfm_client.h config.h lookup.h gfs_io.h gfs_dir.h
 gfs_dirplus.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h gfs_io.h
@@ -207,6 +213,7 @@
 gfs_quota.lo: config.h quota_info.h
 gfs_readlink.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
 gfs_replica.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h host.h config.h lookup.h
+gfs_replica_info.lo: gfm_proto.h gfm_client.h lookup.h
 gfs_replicate.lo: config.h host.h gfm_client.h gfs_client.h schedule.h gfs_misc.h
 gfs_stat.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h gfs_profile.h gfm_client.h config.h lookup.h gfs_misc.h
 gfs_statsw.lo: gfs_dircache.h

=== lib/libgfarm/gfutil/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $
+# $Id: Makefile 4644 2010-04-13 06:48:57Z n-soda $
 
 top_builddir = ../../..
 top_srcdir = $(top_builddir)
@@ -20,6 +20,7 @@
 	logutil.c \
 	lru_cache.c \
 	send_no_sigpipe.c \
+	thrsubr.c \
 	timer.c \
 	timeval.c
 OBJS =	alloc.lo \
@@ -33,6 +34,7 @@
 	logutil.lo \
 	lru_cache.lo \
 	send_no_sigpipe.lo \
+	thrsubr.lo \
 	timer.lo \
 	timeval.lo

=== debian/changelog ===
gfarm (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00_libraries.patch: Refreshed.
  * debian/gfmd.manpages_{en,ja}: Remove uninstalled entries.
  * debian/gfsd.manpages_{en,ja}: Remove uninstalled entries.
  * debian/gfarm-client.manpages_{en,ja}: Remove uninstalled entries.
  * debian/control (Standards-Version): Bump to 3.9.1.
  * debian/libgfarm-dev.install: Don't install .la file (follow policy 3.9.1).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 24 Nov 2010 11:06:15 +0900

## gfarm 2.4.1

=== bench/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = \
	bwlat-syscache \
	nconnect \
	thput-fsstripe \
	thput-fsys \
	thput-gfpio

include $(top_srcdir)/makes/subdir.mk

=== doc/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = html

DOC =	../LICENSE ../RELNOTES \
	../README.en ../README.ja ../OVERVIEW.en ../OVERVIEW.ja \
	../INSTALL.en ../INSTALL.ja  \
	../INSTALL.RPM.en ../INSTALL.RPM.ja \
	../SETUP.en ../SETUP.ja SETUP.private.en SETUP.private.ja \
	Gfarm-FAQ.en Gfarm-FAQ.ja \
	KNOWN_PROBLEMS.en KNOWN_PROBLEMS.ja


include $(top_srcdir)/makes/subdir.mk

install:
	@$(MKDIR_P) $(DESTDIR)$(docdir)
	@for i in -- $(DOC); do \
		case $$i in --) continue;; esac; \
		echo \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)/`basename $${i}`; \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)/`basename $${i}`; \
	done

=== gftool/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	gfls \
 	gfmkdir \
 	gfmv \
+	gfpath \
 	gfquota \
 	gfreg \
 	gfrep \

=== man/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = man1 man3 man5 man8 ja

include $(top_srcdir)/makes/subdir.mk

=== regress/Makefile ===
--- 
+++ 
@@ -14,7 +14,9 @@
 	lib/libgfarm/gfarm/gfarm_error_to_errno \
 	lib/libgfarm/gfarm/gfs_pio_test \
 	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/file_busy \
-	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/in_progress
+	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/in_progress \
+	lib/libgfarm/gfarm/gfs_xattr \
+	lib/libgfarm/gfarm/gfs_getxattr_cached
 
 check test: all
 	@echo ""

=== bench/bwlat-syscache/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(LIBS)

PROGRAM = bwlat-syscache
OBJS = bwlat-syscache.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/thput-fsstripe/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(LIBS)

PROGRAM = thput-fsstripe
OBJS = $(PROGRAM).o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== gfptool/gfgrep/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfgrep.c
OBJS = gfgrep.o
PROGRAM = gfgrep
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC)

=== gfptool/gfsplck/Makefile ===
# $Id: Makefile 3617 2007-03-12 08:32:55Z n-soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfsplck.c
OBJS = gfsplck.o
PROGRAM = gfsplck
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/config.h $(GFARMLIB_SRCDIR)/gfs_misc.h

=== gfptool/gfwc/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CC = $(MPICC)
SRCS = gfwc.c
OBJS = gfwc.o
PROGRAM = gfwc
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC)

=== gftool/config-gfarm/Makefile ===
# $Id: Makefile 4393 2010-02-10 04:52:23Z n-soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS= sysdep/$(config_gfarm_sysdep_subdir)

datadir=$(default_datadir)/gfarm/config

PRIVATE_SRCS = $(PRIVATE_GFTOOL_CONFIG_GFARM_SRCS)

SCRIPTS = config-gfarm config-gfarm-update config-gfsd \
	$(srcdir)/gfarm.arch.guess \
	$(optional_srcs)

DATA =	$(srcdir)/config-gfarm.postgresql \
	$(srcdir)/config-gfarm.ldap \
	$(srcdir)/config-gfarm-update.postgresql \
	$(srcdir)/config-gfarm-update.ldap \
	$(srcdir)/gfarm.conf-postgresql.in \
	$(srcdir)/gfarm.conf-ldap.in \
	$(srcdir)/gfarm.conf.in \
	$(srcdir)/slapd.conf-2.0.in \
	$(srcdir)/slapd.conf-2.1.in \
	$(srcdir)/gfarm.sql \
	$(srcdir)/gfarm-xmlattr.sql \
	$(srcdir)/gfarm.schema \
	$(srcdir)/initial.ldif.in \
	$(srcdir)/bdb.DB_CONFIG.in

include $(top_srcdir)/makes/script.mk
include $(top_srcdir)/makes/data.mk
include $(top_srcdir)/makes/subdir.mk

=== gftool/example/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = \
	gfimport_fixed \
	gfimport_text

include $(top_srcdir)/makes/subdir.mk

=== debian/changelog ===
gfarm (2.4.1-1.1ubuntu1) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 14 Feb 2014 07:45:35 -0500

gfarm (2.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch by Ilya Barygin <barygin@gmail.com>, set SHELL to /bin/bash as /bin/sh
    does not support +=. (Closes: #621926).

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 31 Jan 2012 19:01:26 +0000

gfarm (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 14 Feb 2011 17:25:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gfarm
 Section: net
 Priority: extra
-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, libssl-dev, libldap2-dev, libpq-dev, postgresql, autoconf (>= 2.50), libtool
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Uploaders: Osamu Tatebe <tatebe@cs.tsukuba.ac.jp>, Noriyuki SODA <soda@sra.co.jp>
 DM-Upload-Allowed: yes
 Homepage: http://datafarm.apgrid.org/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_OPTIONS
 
 %:
-	dh --with quilt  $@
+	dh $@ --with quilt,autotools-dev
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
http://sf.net/gfarm/gfarm-(2\..*)\.tar\.gz
